%global debug_package %{nil}
%global package_name microcode

Summary: Tool to transform and deploy x86 CPU microcode
Name: microcode_ctl
Version: 20240514
Release: 2%{?dist}
License: GPLv2+ and Redistributable, no modification permitted
URL: https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files
Source0: %{url}/archive/refs/tags/%{package_name}-%{version}.tar.gz
Source1: Makefile
ExclusiveArch: x86_64 loongarch64
BuildRequires: make

%description
This package deploys an Intel microcode. This tool is obsolete and the microcode is the
subject to be distributed via kernel-firmware, however Intel still does not
supply the microcode in a form consumable by the Linux's microcode driver. So
that this tool transform Intel's microcode as well as deploy it.

The microcode_ctl utility is a companion to the microcode driver written
by Tigran Aivazian <tigran@aivazian.fsnet.co.uk>.

The microcode update is volatile and needs to be uploaded on each system
boot i.e. it doesn't reflash your cpu permanently, reboot and it reverts
back to the old microcode.

%prep
%autosetup -c -T -n %{package_name}-%{version}

tar xf %{SOURCE0} --strip 1 */intel-ucode/* */intel-ucode-with-caveats/* \
  --one-top-level=intel-ucode --strip-components=2 --backup=simple

cp %{SOURCE1} .


%build


%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} INSDIR=/usr/sbin install
make clean

%files
/lib/firmware/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20240514-2
- Rebuilt for loongarch release

* Tue Jul 2 2024 Yi Lin <nilusyi@tencent.com> - 20240514-1
- [Type] Security
- [DESC] fix cve-2023-45745\47855\45733\46103

* Mon May 27 2024 Doris Chao <doriscchao@tencent.com> - 20231114-2
- [Type] other
- [DESC] add arch loongarch64

* Thu Jan 11 2024 Yi Lin <nilusyi@tencent.com> - 20231114-1
- align version to github version

* Fri Dec 01 2023 Yi Lin <nilusyi@tencent.com> - 2.1-6
- bump version to 2.1-42, fix CVE-2023-23583

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 13 2023 Shuo Wang <abushwang@tencent.com> - 2.1-4
- update to 2.1-40

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 1 2022 Yi Lin <nilusyi@tencent.com> - 2.1-1
- package init.
